const toCamel = (str) => {
    let newString = [];
    let array = str.split('_');
    newString.push(array[0]);
    for (let word of array.slice(1)) newString.push(word[0].toUpperCase() + word.slice(1));
    return newString.join('');
};

class CSGOProfileStats {
    constructor(content) {
        this.name = toCamel(content.name);
        this.value = content.value;
    }
}

module.exports = CSGOProfileStats;
