class RocketLeagueProfile {
    constructor(content) {
        this.id = content.uniqueId;
        this.name = content.displayName;
        this.platform = content.platform.name;
        this.avatar = content.avatar;
        this.wins = content.stats.wins;
        this.goals = content.stats.goals;
        this.mvps = content.stats.mvps;
        this.saves = content.stats.saves;
        this.shots = content.stats.shots;
        this.assists = content.stats.assists;
    }
}

module.exports = RocketLeagueProfile;
