const toCamel = (str) => {
    let newString = [];
    let array = str.toLowerCase().split('_');
    newString.push(array[0]);
    for (let word of array.slice(1)) newString.push(word[0].toUpperCase() + word.slice(1));
    return newString.join('');
};

class CSGOProfileAchievements {
    constructor(content) {
        this.name = toCamel(content.name);
        this.achieved = content.achieved;
    }
}

module.exports = CSGOProfileAchievements;
